FlxpointAPI Help CenterBeta

Get Mapping Templates

gethttps://api.flxpoint.com/mapping-template

Use this when you want to pull mappingtemplate data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

List all mapping templates.

Request

Query parameters
  • includeFieldsqueryboolean

    Whether fields should be populated on the returned mapping templates

Example request

get/mapping-template
curl -X GET "https://api.flxpoint.com/mapping-template" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[MappingTemplate]
idinteger
eventIdintegerrequired
eventHandlestring
namestringrequired
descriptionstring
createdAtstring (date-time)
updatedAtstring (date-time)
csvIndexBasedboolean
fieldsarray[MappingField]
idinteger
accountIdinteger
mappingEventIdinteger
mappingFieldTypeIdintegerrequired
toGlobalObjectFieldIdinteger
fromGlobalObjectFieldIdinteger
rawValuestring
mappingSetIdinteger
mappingSetNoMatchUseValueboolean
mappingSetNoMatchValuestring
toHeaderstring
fromHeaderstring
sortOrderinteger
attributeNamestring
customFieldNamestring
optionNamestring
imagePositioninteger
dateFormatstring
useCommaDecimalSeparatorboolean
mappingFieldTypeobjectrequired
idintegerrequired
handlestringrequired
allowedemptyfieldvalueheadermapping_setoptiondirect_copy
namestringrequired
rulesarray[MappingFieldRule]
idinteger
mappingFieldIdinteger
mappingRuleIdintegerrequired
mappingSetIdinteger
sortOrderinteger
customAggregateFieldHandlestring
Populate with CAF handle when mapping from a CAF
mappingEventGroupReplaceModesarray[MappingEventGroupReplaceMode]
idinteger
mappingEventIdintegerrequired
globalObjectFieldGroupIdintegerrequired
globalObjectFieldGroupHandlestring
replaceInsteadOfAddboolean
updatedAtstring (date-time)
isParentGroupboolean
useAsDefaultboolean
Whether automated processes for the given `eventId` this mapping template is associated with should automatically default to using this mapping template if none are specified via other means.
Example response
[
  {
    "id": 0,
    "eventId": 0,
    "eventHandle": "string",
    "name": "string",
    "description": "string",
    "createdAt": "2026-04-20T00:00:00Z",
    "updatedAt": "2026-04-20T00:00:00Z",
    "csvIndexBased": true,
    "fields": [
      {
        "id": 0,
        "accountId": 0,
        "mappingEventId": 0,
        "mappingFieldTypeId": 0,
        "toGlobalObjectFieldId": 0,
        "fromGlobalObjectFieldId": 0,
        "rawValue": "string",
        "mappingSetId": 0,
        "mappingSetNoMatchUseValue": true,
        "mappingSetNoMatchValue": "string",
        "toHeader": "string",
        "fromHeader": "string",
        "sortOrder": 0,
        "attributeName": "string",
        "customFieldName": "string",
        "optionName": "string",
        "imagePosition": 0,
        "dateFormat": "string",
        "useCommaDecimalSeparator": true,
        "mappingFieldType": {
          "id": null,
          "handle": null,
          "name": null
        },
        "rules": [
          null
        ],
        "customAggregateFieldHandle": "string"
      }
    ],
    "mappingEventGroupReplaceModes": [
      {
        "id": 0,
        "mappingEventId": 0,
        "globalObjectFieldGroupId": 0,
        "globalObjectFieldGroupHandle": "string",
        "replaceInsteadOfAdd": true,
        "updatedAt": "2026-04-20T00:00:00Z",
        "isParentGroup": true
      }
    ],
    "useAsDefault": true
  }
]
401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Mapping Templates",
    "description": "List all mapping templates.",
    "parameters": [
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "includeFields",
        "description": "Whether fields should be populated on the returned mapping templates"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/MappingTemplate"
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight